org.custommonkey.xmlunit

## Interface XSLTConstants

All Superinterfaces:
  XMLConstants

All Known Implementing Classes:
  SimpleXpathEngine, XMLAssert, XMLTestCase

    public interface XSLTConstants
    extends XMLConstants

A convenient place to hang constants relating to XSL transformations

### Field Summary

Fields
`static java.lang.String` `JAVA5_XSLTC_FACTORY_NAME` Factory class of the XSLTC version shipping with JDK 1.5 which is pretty broken.
`static java.lang.String` `XSLT_END` </xsl:stylesheet>
`static java.lang.String` `XSLT_IDENTITY_TEMPLATE` <xsl:template> to copy the current nodeset into the output tree
`static java.lang.String` `XSLT_START` <xsl:stylesheet ...
`static java.lang.String` `XSLT_START_NO_VERSION` <xsl:stylesheet
`static java.lang.String` `XSLT_STRIP_COMMENTS_TEMPLATE` <xsl:template> to copy the current nodeset into the output tree while stripping comments.
`static java.lang.String` `XSLT_STRIP_WHITESPACE` <xsl:strip-space> for all elements
`static java.lang.String` `XSLT_XML_OUTPUT_NOINDENT` <xsl:output> for XML with no indentation

### Fields inherited from interface org.custommonkey.xmlunit.XMLConstants

`CLOSE_NODE, END_CDATA, END_COMMENT, END_PROCESSING_INSTRUCTION, NULL_NS_URI, OPEN_END_NODE, OPEN_START_NODE, START_CDATA, START_COMMENT, START_DOCTYPE, START_PROCESSING_INSTRUCTION, W3C_XML_SCHEMA_INSTANCE_NO_NAMESPACE_SCHEMA_LOCATION_ATTR, W3C_XML_SCHEMA_INSTANCE_NS_URI, W3C_XML_SCHEMA_INSTANCE_SCHEMA_LOCATION_ATTR, W3C_XML_SCHEMA_INSTANCE_TYPE_ATTR, W3C_XML_SCHEMA_NS_URI, XML_DECLARATION, XMLNS_ATTRIBUTE_URI, XMLNS_PREFIX, XPATH_ATTRIBUTE_IDENTIFIER, XPATH_CHARACTER_NODE_IDENTIFIER, XPATH_COMMENT_IDENTIFIER, XPATH_NODE_INDEX_END, XPATH_NODE_INDEX_START, XPATH_PROCESSING_INSTRUCTION_IDENTIFIER, XPATH_SEPARATOR`

### Field Detail

#### XSLT_START_NO_VERSION

    static final java.lang.String XSLT_START_NO_VERSION

<xsl:stylesheet

See Also:
  Constant Field Values

#### XSLT_START

    static final java.lang.String XSLT_START

<xsl:stylesheet ... version="1.0">

See Also:
  Constant Field Values

#### XSLT_XML_OUTPUT_NOINDENT

    static final java.lang.String XSLT_XML_OUTPUT_NOINDENT

<xsl:output> for XML with no indentation

See Also:
  Constant Field Values

#### XSLT_STRIP_WHITESPACE

    static final java.lang.String XSLT_STRIP_WHITESPACE

<xsl:strip-space> for all elements

See Also:
  Constant Field Values

#### XSLT_IDENTITY_TEMPLATE

    static final java.lang.String XSLT_IDENTITY_TEMPLATE

<xsl:template> to copy the current nodeset into the output tree

See Also:
  Constant Field Values

#### XSLT_STRIP_COMMENTS_TEMPLATE

    static final java.lang.String XSLT_STRIP_COMMENTS_TEMPLATE

<xsl:template> to copy the current nodeset into the output tree while stripping comments.

See Also:
  Constant Field Values

#### XSLT_END

    static final java.lang.String XSLT_END

</xsl:stylesheet>

See Also:
  Constant Field Values

#### JAVA5_XSLTC_FACTORY_NAME

    static final java.lang.String JAVA5_XSLTC_FACTORY_NAME

Factory class of the XSLTC version shipping with JDK 1.5 which is pretty broken.

See Also:
  Constant Field Values